% =======================================
% UNCERTAINTY AND UNEMPLOYMENT
% by Edouard Schaal
% -----------------
% Replication files
%
% findss(y): find steady state of DMP model when productivity 
% is held constant to y
%
% Instructions: - y is productivity shock (index in y_grid)
% =======================================
 
function [u1,g1] = findss(y)
global nz

g1=zeros(nz,1);
g0=ones(nz,1);
u1=1;
counter=0;

while(sum(sum((g1-g0).^2))/(nz)>1e-16 && counter<500)
  g0=g1; 
  u0=u1;
  [u1,g1]=distdyn(u0,g0,y);
  counter=counter+1;  
end
