% -------------------------------------------------------------------------
% markov_inv.m : inverse cdf of markov pi, given current state is y, at t
% 
function res = markov_inv(pi,y,t)
[m n]=size(pi);
tab=cumsum(pi(y,:));
I=max(find(tab<t));
if isempty(I)
    res=1;
else
    res=min(I+1,n);
end

