% -------------------------------------------------------------------------
% markov_stats.m : computes stationary distribution, mean, var and 
% serial correlation of a given markov transitiion matrix pi and values vect
% 
function [phi,mu,var,cor] = markov_stats(pi,val)
[m n]=size(pi);
[a b]=size(val);
if(a==1)
    val=val';
end

I=eye(n);

phi=null(pi'-I); %compute stationary distribution
phi=phi/sum(phi);

mu=phi'*val;
var=phi'*(val-mu).^2;
cov=0;
for i=1:n
    for j=1:n
        cov=cov+phi(i)*pi(i,j)*(val(i)-mu)*(val(j)-mu);
    end
end
cor=cov/var;


