%-------------------------------------------------------------
% Firm and employment dynamics over the business cycle 
%  ----
% Edouard Schaal - February 2010
% ------------------------------------------------------------
% parametersMP.m: load parameter values in the model MP94
% ------------------------------------------------------------

policy_iter = 1;
CV_tol=1e-20; % tolerance for convergence

% calibrated parameters

b = .4;%0.35
c = 0.210056014937317;% c is chosen to match a v-u ratio of 1

% other parameters  
beta = 0.996; %0.996 - period is one month 
A = 1; %1
delta = 0.1/3; %0.00 - Shimer calibration period is quarter, but I cannot do this here, because I want UE=.45/month, per quarter does not make sense
thetamax = 200; %200
lambda_u = 1; %1
mu = .72; % bargaining power of workers

gamma=.72;
m=.45; % target UE=.45 when theta=1

ny = 201; %3
rho_y=.956; %initially .99 - choose to match .84
sigma_y=.0215; %initially .05 - choose to match .017
my=2;
[y_grid,pi_y] = discrete_AR(ny,rho_y,(sigma_y)^2,my); % stddev=sqrt(var/(1-rho^2)) bonne calib:.98,(.0217)^2,2
ymax = max(y_grid); 
ymin = min(y_grid); 


nz = 1; % no heterogeneity along z
z_grid=0;
pi_z=1;
[z_grid,pi_z] = discrete_AR(nz,rho_z,(1*sigma_z)^2,3); % stddev=sqrt(var/(1-rho^2)), .9,.1

zmax = max(z_grid); 
zmin = min(z_grid); 
[gz,mu_z,var_z,cor_z] = markov_stats(pi_z,z_grid);


