% =======================================
% UNCERTAINTY AND UNEMPLOYMENT
% by Edouard Schaal
% -----------------
% Replication files
%
% solvetheta(S).m: solves for the equilibrium market tightness 
% given S in the DMP
%
% Instructions: - S is the surplus computed by solve.m (ny x nz matrix)
% =======================================


function [tmat] = solvetheta(S)
global ny
global nz
global c
global gz
global mu

tmat = zeros(ny,1);

[My_id,Mz_id] = ndgrid(1:ny,1:nz);

gzprime=gz';
gzprime=gzprime(Mz_id);
expected_surplus=sum(S.*gzprime,2);
tmat=qinv(c*((1-mu)*expected_surplus).^(-1));


