% =======================================================================
% UNCERTAINTY AND UNEMPLOYMENT
% by Edouard Schaal
% -----------------
% Replication files
%
% draw_firms (g0,nb_firms,param): draw nb_firms randomly from distribution 
% g0(z,n)
%
% Instructions: - g0 is a distribution over (z,n)
% - 'nb_firms' # of firms to be drawn
% - 'param' is a structure of parameters for the model
%
% ========================================================================

% ---------------------------------------------------------------------------
% draw_firms.m: draw nb_firms from distribution g0(z,n)

function [firm_z0,firm_n0] = draw_firms (g0,nb_firms,param)

[Mz_id,Mn_id]=ndgrid(1:param.nz,1:param.nn);
firm_z0=zeros(nb_firms,1);
firm_n0=zeros(nb_firms,1);

cdf=cumsum(g0(:));
cdf=cdf'./(cdf(end));

t=rand(nb_firms,1);

[edges,edge_id] = unique(cdf); % I must have strictly increasing edges to use histc

[~,id]=histc(t,[-inf,edges(2:end-1),inf]);
firm_z0=Mz_id(edge_id(id));
firm_n0=Mn_id(edge_id(id));

