% =======================================================================
% UNCERTAINTY AND UNEMPLOYMENT
% by Edouard Schaal
% -----------------
% Replication files
%
% draw_z_value (s0,z0,param): draws a random z1 given (s0,z0)
% according to 
%   z_1 = rho_z*z_0 + s_grid(s0)*sqrt(1-rho_z^2)e_z1%
% in which e_z1~N(0,1) 
%
% Instructions: - (s0,z0) current volatility and z0 for the firm (in index)
% - 'param' is a structure of parameters for the model
%
% ========================================================================

function z1_id = draw_z (s0_id,z0_id,param,vars)

[m n]=size(z0_id);

e1=randn(m,n);
rho_z=(.95)^(1/3);
z1=rho_z*vars.z_grid(z0_id)+vars.s_grid(s0_id)*sqrt(1-rho_z^2)*e1;

[~,z1_id]=histc(z1,[-inf;(vars.z_grid(1:param.nz-1)+vars.z_grid(2:param.nz))/2;inf]);



