% =======================================================================
% UNCERTAINTY AND UNEMPLOYMENT
% by Edouard Schaal
% -----------------
% Replication files
%
% draw_z_value (s0,z0,param): draws a random z1 given (s0,z0)
% according to 
%   z_1 = rho_z*z_0 + s_grid(s0)*sqrt(1-rho_z^2)e_z1%
% in which e_z1~N(0,1) 
%
% Instructions: - (s0,z0) current volatility and z0 for the firm (in value)
% - 'param' is a structure of parameters for the model
%
% ========================================================================

function z1 = draw_z_value (s0,z0,param)

[m n]=size(z0);

e1=randn(m,n);

z1=param.rho_z*z0+s0*sqrt(1-param.rho_z^2)*e1;



