% ----------------------------------------------------------------------- %
% spline.m: module to compute cubic splines along the second dimension of a
% matrix (using GPU).
%
% E. Schaal and M. Taschereau-Dumouchel, 2012
%
    

function [A]= spline(x_grid,V,H_prime_inv)

        % A few definitions
        [M,N]=size(V);
        
        
        Y=zeros(M,3*(N-1));
                
        % Build matrix Y to compute the spline       
        Y(:,1:N-1)=V(:,2:N)-V(:,1:N-1);
        Y((1:M)'+((3*(N-1)-1)-1)*M)=(V((1:M)'+(2-1)*M)-V((1:M)'+(1-1)*M))/(x_grid(2)-x_grid(1));
        Y((1:M)'+((3*(N-1))-1)*M)=(V((1:M)'+(N-1)*M)-V((1:M)'+(N-1-1)*M))/(x_grid(N)-x_grid(N-1));
        
        
        % Get the spline coefficients
        A=Y*H_prime_inv;
