% ----------------------------------------------------------------------- %
% spline_precalc.m: precalculate some useful matrices before calling the 
% cubic spline model 'spline.m'.
%
% E. Schaal and M. Taschereau-Dumouchel, 2012
%



function [H_prime_inv] = spline_precalc(x_grid)

N=length(x_grid);

H = zeros(3*(N-1));
for j=1:N-1
    H(j,3*(j-1)+1)=x_grid(j+1)-x_grid(j);
    H(j,3*(j-1)+2)=(x_grid(j+1)-x_grid(j))^2;
    H(j,3*(j-1)+3)=(x_grid(j+1)-x_grid(j))^3;
    
    if j<N-1
        H(N-1+j,3*(j-1)+1)=1;
        H(N-1+j,3*(j-1)+2)=2*(x_grid(j+1)-x_grid(j));
        H(N-1+j,3*(j-1)+3)=3*(x_grid(j+1)-x_grid(j))^2;
        H(N-1+j,3*(j-1)+4)=-1;
        
        H(2*N-3+j,3*(j-1)+2)=2;
        H(2*N-3+j,3*(j-1)+3)=6*(x_grid(j+1)-x_grid(j));
        H(2*N-3+j,3*(j-1)+5)=-2;
    end
end


H(3*(N-1)-1,1)=1;

H(3*(N-1),3*(N-1)-2)=1;
H(3*(N-1),3*(N-1)-1)=2*(x_grid(N)-x_grid(N-1));
H(3*(N-1),3*(N-1))=3*(x_grid(N)-x_grid(N-1))^2;

H_prime_inv=inv(H');
